const _Http = getApp().globalData.http;

Page({
    data: {
        classShow: false,
        classActions: [{
                name: '全部',
                index: 0
            }, {
                name: '我负责的',
                index: 1
            },
            {
                name: '我参与的',
                index: 2
            },
            {
                name: "我下属负责的",
                index: 3
            }, {
                name: "我下属参与的",
                index: 4
            }
        ],
        content: {
            nocache: true,
            "type": 0,
            "pageNumber": 1,
            "pageSize": 20,
            "where": {
                "condition": "", //模糊搜索
            },
            "sort": []
        }
    },
    onLoad(options) {
        this.getList();
    },
    /* 获取列表 */
    getList(init = false) {
        if (init.detail != undefined) init = init.detail;
        let content = this.data.content;
        if (init) content.pageNumber = 1;
        if (content.pageNumber > content.pageTotal) return;
        _Http.basic({
            "id": 20221020143502,
            content
        }).then(res => {
            console.log("客户商机列表", res)
            this.selectComponent('#ListBox').RefreshToComplete();
            if (res.msg != '成功') return wx.showToast({
                title: res.msg,
                icon: "none"
            })
            this.setData({
                'content.pageNumber': res.pageNumber + 1,
                'content.pageTotal': res.pageTotal,
                'content.total': res.total,
                'content.sort': res.sort,
                list: res.pageNumber == 1 ? res.data : this.data.list.concat(res.data)
            });
            this.getTags();
        })
    },
    /* 获取列表标签 */
    getTags() {
        let list = this.data.list,
            ownerids = list.map(v => v.sa_projectid);
        _Http.basic({
            "id": 20221018102001,
            "content": {
                nocache: true,
                "ownertable": "sa_project",
                ownerids
            }
        }).then(res => {
            console.log("标签", res)
            for (let key in res.data) {
                let index = list.findIndex(v => v.sa_projectid == key);
                list[index].tags = res.data[key]
            };
            console.log(list)
            this.setData({
                list
            })
        })
    },
    /* 处理筛选 */
    handleFilter({
        detail
    }) {
        console.log(detail)
    },
    /* 处理搜索 */
    onSearch({
        detail
    }) {
        this.setData({
            "content.where.condition": detail
        });
        this.getList(true);
    },
    /* 顶部条件导航回调 */
    navClick({
        detail
    }) {
        switch (detail.id) {
            case '1':
                this.setData({
                    classShow: true
                })
                break;
        }
    },
    /* 选择分类 */
    classSelect({
        detail
    }) {
        if (this.data.content.type == detail.index) return this.classClose();
        this.setData({
            "content.type": detail.index,
            'navList[0].label': detail.name
        })
        this.classClose();
        this.getList(true)
    },
    classClose() {
        this.setData({
            classShow: false
        })
    },
    onReady() {
        this.setListHeight()
    },
    /* 设置页面高度 */
    setListHeight() {
        this.selectComponent("#ListBox").setHeight(".total", this);
    },
    onShareAppMessage() {}
})